#!/bin/sh
#just to show you how - you can edit this to your liking
#by using dcetest and ifids or epdump to find a UUID and Version and port.



MAX=35
UUID=906b0ce0-c70b-1067-b317-00dd010662da
VERSIONMAJOR=1
VERSIONMINOR=0
PORT=1043
TARGET=192.168.1.100
STARTFUNCTION=2



i=$STARTFUNCTION
while [ "$i" -lt "$MAX" ]; do
j=0
while [ "$j" -lt "300" ]; do
echo "Doing function $i try $j"
./msrpcfuzz $TARGET $PORT $UUID $VERSIONMAJOR $VERSIONMINOR $i 1000 15 2>> /crypt/out_msrpcfuzz

j=`expr $j + 1`
done

i=`expr $i + 1`
done

echo "DONE!"
